Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356614 - typo in help output
Summary: typo in help output
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sg3_utils
Version: 25
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1353941
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 13:11 UTC by Josef Ridky
Modified: 2017-12-12 10:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1353941
Environment:
Last Closed: 2017-12-12 10:31:45 UTC


Attachments (Terms of Use)

Description Josef Ridky 2016-07-14 13:11:49 UTC
Cloning to fedora. Email already sent to upstream author.

+++ This bug was initially created as a clone of Bug #1353941 +++

Description of problem:
Typo.

Version-Release number of selected component (if applicable):
# rpm -q sg3_utils
sg3_utils-1.37-5.el7.x86_64


How reproducible:
consistently

Actual results:
# scsi-rescan -h | grep '0 is not found'
--nooptscan:     don't stop looking for LUNs is 0 is not found
                                             ^^

Expected results:
# scsi-rescan -h | grep '0 is not found'
--nooptscan:     don't stop looking for LUNs if 0 is not found
                                             ^^

--- Additional comment from Ondrej Vasik on 2016-07-09 02:14:50 EDT ---

Typo is in manpage as well. https://github.com/hreinecke/sg3_utils seems to be current upstream git repo.

--- Additional comment from George Angelopoulos on 2016-07-09 05:48:00 EDT ---

(In reply to Ondrej Vasik from comment #2)
> Typo is in manpage as well. https://github.com/hreinecke/sg3_utils seems to
> be current upstream git repo.

The homepage of the project is this:

http://sg.danny.cz/sg/sg3_utils.html

If you scroll to the bottom it says they are using subversion and the git repos are mirrors maintained by contributors. Still, you can try opening a GitHub issue.

The author of sg3_utils appears to be Douglas Gilbert (dgilbert at  interlog dot com) based on this page [1] and the git mirror log.

[1] http://sg.danny.cz/sg/

--- Additional comment from Ondrej Vasik on 2016-07-10 17:52:50 EDT ---

danny.cz is domain of former Fedora maintainer - Dan Horak - who maintained the package before David - and github mentioned by me is there mentioned as git mirror of upstream svn. So yes, I think pull request there is the right way... as I don't see any better contact.

Comment 1 Jan Kurik 2016-07-26 04:11:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 19:19:07 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:31:45 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.